
#include <Wire.h>    // librairie pour comunication I2c 
#include <NewRemoteTransmitter.h>   // librairie communication home easy

#define SLAVE_ADDRESS 0x69       // adresse I2c de la carte arduino
int dataReceived = 0;       //initialisation de la variable dataReceived a 0


NewRemoteTransmitter transmitter(17412246, 11, 269, 3);
// 17412246 = adresse de transmission, adresse de la télécommande
//11 = pin de connexion du module hf 
//269= durée de la période de transmition en ms
//3= 2^3=8 envoie du code



int var ; //variable correspondant a la commande reçu par communication I2c



void setup() {
  Serial.begin(9600);  // ouverture du port série
  Wire.begin(SLAVE_ADDRESS);  // initialise communication Arduino "esclave" 
    Wire.onReceive(receiveData); //définit la fonction à appeler sur réception de données en provenance du maître   
}

void receiveData(int byteCount){
  
  var = Wire.read();  // variable var= données en provenance maître
  


//totalité des comande de controle des prises 
//(var == 'a')   comande exécuté lors de réception d'un a par I2c
// transmitter.sendUnit = commande permettant l'envoie d'une trame à une prise
//transmitter.sendGroup = commande permettant l'envoie d'une trame à l'ensemble des prises
//(x,true) = prise n°x allumée   0= prise n°1 /  1= n°2 / 2= n°3
//(x,false)= prise n°x éteinte
//delay (1000) = pause d'une seconde

         if(var == 'a'){        
                  transmitter.sendUnit(0, true);
                        delay(1000); }

          
        else if(var == 'b'){
                   transmitter.sendUnit(0, false);
                        delay(1000);}


       else  if(var == 'c'){
                  transmitter.sendUnit(1, true);
                        delay(1000); }
                                
         
       else  if(var == 'd'){
                    transmitter.sendUnit(1, false);
                      delay(1000); }


        else  if(var == 'e'){
                    transmitter.sendUnit(2, true);
                        delay(1000);}
                                
         
        else if(var == 'f'){
                  transmitter.sendUnit(2, false);
                        delay(1000); }

// sendgroup = toute les prises

      else if(var == 'g'){
                    transmitter.sendGroup(true);
                        delay(1000);}
                                
         
         
        else if(var == 'h'){
                  transmitter.sendGroup(false);
                        delay(1000); }



}

void loop() {  

}

