#include "tcpclient.h"
#include <QHostAddress>

TCPClient::TCPClient(QObject *parent) :
    QObject(parent)
{

   connect(&client,SIGNAL(connected()),this,SLOT(startTransfer()));
}

TCPClient::~TCPClient()
{
    client.close();
}

void TCPClient::start(QString Adresse, quint16 port)
{
    QHostAddress addr(Adresse);
    client.connectToHost(addr,port);
}

void TCPClient::startTransfer()
{
    QByteArray Trame = "UPDATE METEO SET LUMIERE ='17'";
    client.write(Trame);
}
void TCPClient::sendrequete(QString zone, int nb)
{
    /*//QByteArray requete = "UPDATE METEO SET "+zone+"= '"+nb+"'";

    qDebug()<<requete<<endl;

    client.write(requete);*/
}
void TCPClient::requetemode(QByteArray maquette, QByteArray mode)
{
    QByteArray requete = "UPDATE "+maquette+"SET AUTO = '"+mode+"'";

    client.write(requete);
}
void TCPClient::requetetest()
{
    QByteArray test= "test";
    client.write(test);
}
