#include "liaisonRS232.h"
#include <QtSerialPort/QSerialPort>

LiaisonRS232::LiaisonRS232(QObject *parent) : QObject(parent)

{
     serial = new QSerialPort;
}


void LiaisonRS232::init()
{
    serial->setPortName(PORT);
    serial->setBaudRate(QSerialPort::Baud9600);
    serial->setDataBits(QSerialPort::Data8);
    serial->setParity(QSerialPort::NoParity);
    serial->setStopBits(QSerialPort::OneStop);
    serial->setFlowControl(QSerialPort::NoFlowControl);
    serial->open(QSerialPort::ReadOnly);
}

void LiaisonRS232::slt_dataAvailable()
{
    QByteArray data;
    int i = 0;
    bool ok = false;

    int nb = serial->bytesAvailable();
    data = serial->readAll();

    do{
        if(data[i] == 255)
        {
            if(data[i++] == 255)
            {
                emit sigEnvoyerOctet(data);
                ok = true;
            }
        }i++;
    }while(!ok);
}
