#ifndef LIAISONRS232_H
#define LIAISONRS232_H

#include <QObject>
#include <QtSerialPort/QSerialPort>
#include "fihm.h"

#define PORT "COM11"

class LiaisonRS232 : public QObject
{
    Q_OBJECT
public:
    explicit LiaisonRS232(QObject *parent = 0);
    void init();
    void slt_dataAvailable();
    
signals:
    void sigEnvoyerOctet(QByteArray);

private:
    QString trame;
    QSerialPort *serial;
    
public slots:

};

#endif // LIAISONRS232_H
