#include <stdio.h>
#include <sys/types.h>       
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/ip.h>
#include <unistd.h>
#include <strings.h>
#include <signal.h>

#define PORT 2222

// variable globale
int pd[2];

void deroute(int nosig) {
int nb;
char texte[255];

  switch (nosig) {
    case SIGUSR1:
      nb = read(pd[0], texte, sizeof(texte));
      texte[nb] = 0;
      printf("Texte recu : %s\n");
      break;
    case SIGCHLD: 
      wait(NULL);
      break;
    default:
      break;  
  } // sw
} // deroute

int main (int argc, char *argv[]) {
 int sd_ecoute, sd_client; 
 socklen_t lg;
 pid_t fk;
 struct sockaddr_in param_ecoute, param_client; 
 char chpd[5];
 char chsd[5];

 signal(SIGCHLD, deroute);
 signal(SIGUSR1, deroute);

 if (pipe(pd) < 0) {
    perror("erreur pipe. ");
    _exit(-1);
 } // if pipe

 sd_ecoute=socket(AF_INET, SOCK_STREAM, 0);
 
 bzero(&param_ecoute, sizeof(param_ecoute));
 param_ecoute.sin_family = AF_INET;
 param_ecoute.sin_port = htons(PORT);
 param_ecoute.sin_addr.s_addr = INADDR_ANY;

 bind(sd_ecoute, (struct sockaddr *)&param_ecoute, sizeof(param_ecoute));
 listen(sd_ecoute, 10);

 sprintf(chpd,"%d",pd[1]);

 printf("En écoute sur le port 2222 ! \n");

 while(1) {
   lg = sizeof(param_client);
   sd_client = accept(sd_ecoute, (struct sockaddr *)&param_client, &lg);
   if (sd_client<0) {
      perror("accept en erreur. ");
      _exit(-1);
   } // if   

   sprintf(chsd,"%d",sd_client);

   fk = fork();
   switch(fk) {
    case -1 : _exit(-1);
    case 0:
	printf("Je suis le fils\n");
	write(sd_client, "coucou",6);
	lg = read(sd_client, chsd, 4);
	chsd[lg]=0;
	printf("%s\n",chsd);
	close(sd_client);
      execl("./tcpFils", "tcpfils", chpd ,chsd, 0);
      _exit(-1);
    default:
      break;
   } // sw
//   close(sd_client);
 } // wh

} // main
