#ifndef TCPCLIENT_H
#define TCPCLIENT_H

#include <QObject>
#include <QtNetwork>
#include <QString>
#include <QTcpSocket>
#include <QDebug>


class TCPClient : public QObject
{
    Q_OBJECT
public:
    ~TCPClient();
    explicit TCPClient(QObject *parent = 0);
    void start();
    void sendrequete(QString zone, int nb);
    void requetemode(QByteArray maquette, QByteArray mode);
    void requetetest();

public slots:
    void startTransfer();

private:

    QTcpSocket client;

};

#endif // TCPCLIENT_H
