#ifndef FIHM_H
#define FIHM_H

#include <QMainWindow>
#include <QByteArray>
#include <QSerialPort/QSerialPort>

class LiaisonRS232;

namespace Ui {
class fihm;
}

class fihm : public QMainWindow
{
    Q_OBJECT
    
public:

    void init();
    explicit fihm(QWidget *parent = 0);
    ~fihm();
    QSerialPort *serial;
    LiaisonRS232 *liairs232;
    
public slots:
    void slt_receptionOctet(QByteArray);

private:
    Ui::fihm *ui;
};

#endif // FIHM_H
